import Book from "./models/book";
import FS from "./models/fs";
import File from "./models/file";
import Summary from "./models/summary";
import Glossary from "./models/glossary";
import Config from "./models/config";
import Page from "./models/page";
import PluginDependency from "./models/pluginDependency";
declare const _default: {
    Parse: {
        parseBook: typeof import("./parse/parseBook").default;
        parseSummary: typeof import("./parse/parseSummary").default;
        parseGlossary: typeof import("./parse/parseGlossary").default;
        parseReadme: typeof import("./parse/parseReadme").default;
        parseConfig: typeof import("./parse/parseConfig").default;
        parsePagesList: typeof import("./parse/parsePagesList").default;
        parseIgnore: typeof import("./parse/parseIgnore").default;
        listAssets: typeof import("./parse/listAssets").default;
        parseLanguages: typeof import("./parse/parseLanguages").default;
        parsePage: typeof import("./parse/parsePage").default;
        parsePageFromString: typeof import("./parse/parsePageFromString").default;
        lookupStructureFile: typeof import("./parse/lookupStructureFile").default;
    };
    Book: typeof Book;
    FS: typeof FS;
    File: typeof File;
    Summary: typeof Summary;
    Glossary: typeof Glossary;
    Config: typeof Config;
    Page: typeof Page;
    PluginDependency: typeof PluginDependency;
    SummaryModifier: {
        insertArticle: typeof import("./modifiers/summary/insertArticle").default;
        moveArticle: typeof import("./modifiers/summary/moveArticle").default;
        moveArticleAfter: typeof import("./modifiers/summary/moveArticleAfter").default;
        removeArticle: typeof import("./modifiers/summary/removeArticle").default;
        unshiftArticle: typeof import("./modifiers/summary/unshiftArticle").default;
        editArticleTitle: typeof import("./modifiers/summary/editArticleTitle").default;
        editArticleRef: typeof import("./modifiers/summary/editArticleRef").default;
        insertPart: typeof import("./modifiers/summary/insertPart").default;
        removePart: typeof import("./modifiers/summary/removePart").default;
        editPartTitle: typeof import("./modifiers/summary/editPartTitle").default;
    };
    ConfigModifier: {
        addPlugin: typeof import("./modifiers/config/addPlugin").default;
        removePlugin: typeof import("./modifiers/config/removePlugin").default;
        togglePlugin: typeof import("./modifiers/config/togglePlugin").default;
        editPlugin: typeof import("./modifiers/config/editPlugin").default;
        hasPlugin: typeof import("./modifiers/config/hasPlugin").default;
        getPluginConfig: typeof import("./modifiers/config/getPluginConfig").default;
        isDefaultPlugin: typeof import("./modifiers/config/isDefaultPlugin").default;
    };
    CONFIG_FILES: string[];
    IGNORE_FILES: string[];
    DEFAULT_PLUGINS: import("immutable").Iterable<number, PluginDependency>;
    EXTENSIONS_MARKDOWN: string[];
    EXTENSIONS_ASCIIDOC: string[];
};
export default _default;
//# sourceMappingURL=browser.d.ts.map