declare const _default: {
    $schema: string;
    id: string;
    title: string;
    type: string;
    properties: {
        root: {
            type: string;
            title: string;
        };
        title: {
            type: string;
            title: string;
        };
        author: {
            type: string;
            title: string;
        };
        authorSort: {
            type: string;
            title: string;
        };
        producer: {
            type: string;
            title: string;
        };
        publisher: {
            type: string;
            title: string;
        };
        pubdate: {
            type: string;
            title: string;
        };
        series: {
            type: string;
            title: string;
        };
        seriesIndex: {
            type: string;
            title: string;
        };
        isbn: {
            type: string;
            title: string;
        };
        language: {
            type: string;
            title: string;
        };
        gitbook: {
            type: string;
            default: string;
            title: string;
        };
        direction: {
            type: string;
            enum: string[];
            title: string;
        };
        theme: {
            type: string;
            default: string;
            title: string;
        };
        variables: {
            type: string;
            title: string;
        };
        plugins: {
            oneOf: {
                $ref: string;
            }[];
            default: any[];
        };
        pluginsConfig: {
            type: string;
            title: string;
        };
        structure: {
            type: string;
            properties: {
                langs: {
                    default: string;
                    type: string;
                    title: string;
                    pattern: string;
                };
                readme: {
                    default: string;
                    type: string;
                    title: string;
                    pattern: string;
                };
                glossary: {
                    default: string;
                    type: string;
                    title: string;
                    pattern: string;
                };
                summary: {
                    default: string;
                    type: string;
                    title: string;
                    pattern: string;
                };
            };
            additionalProperties: boolean;
        };
        pdf: {
            type: string;
            title: string;
            properties: {
                pageNumbers: {
                    type: string;
                    default: boolean;
                    title: string;
                };
                fontSize: {
                    type: string;
                    minimum: number;
                    maximum: number;
                    default: number;
                    title: string;
                };
                fontFamily: {
                    type: string;
                    default: string;
                    title: string;
                };
                paperSize: {
                    type: string;
                    enum: string[];
                    default: string;
                    title: string;
                };
                chapterMark: {
                    type: string;
                    enum: string[];
                    default: string;
                    title: string;
                };
                pageBreaksBefore: {
                    type: string;
                    default: string;
                    title: string;
                };
                margin: {
                    type: string;
                    properties: {
                        right: {
                            type: string;
                            title: string;
                            minimum: number;
                            maximum: number;
                            default: number;
                        };
                        left: {
                            type: string;
                            title: string;
                            minimum: number;
                            maximum: number;
                            default: number;
                        };
                        top: {
                            type: string;
                            title: string;
                            minimum: number;
                            maximum: number;
                            default: number;
                        };
                        bottom: {
                            type: string;
                            title: string;
                            minimum: number;
                            maximum: number;
                            default: number;
                        };
                    };
                };
                embedFonts: {
                    type: string;
                    default: boolean;
                    title: string;
                };
            };
        };
    };
    required: any[];
    definitions: {
        pluginsArray: {
            type: string;
            items: {
                oneOf: {
                    $ref: string;
                }[];
            };
        };
        pluginsString: {
            type: string;
        };
        pluginString: {
            type: string;
        };
        pluginObject: {
            type: string;
            properties: {
                name: {
                    type: string;
                };
                version: {
                    type: string;
                };
            };
            additionalProperties: boolean;
            required: string[];
        };
    };
};
export default _default;
//# sourceMappingURL=configSchema.d.ts.map