import Immutable from "immutable";
import File from "./file";
import Language from "./language";
declare const Languages_base: Immutable.Record.Class;
declare class Languages extends Languages_base {
    getFile(): any;
    getList(): any;
    /**
     Get default languages

     @return {Language}
     */
    getDefaultLanguage(): Language;
    /**
     Get a language by its ID

     @param {string} lang
     @return {Language}
     */
    getLanguage(lang: string): Language;
    /**
     Return count of langs

     @return {number}
     */
    getCount(): any;
    /**
     Create a languages list from a JS object

     @return {Language}
     */
    static createFromList(file: File, langs: Languages): Languages;
}
export default Languages;
//# sourceMappingURL=languages.d.ts.map