import Immutable from "immutable";
import File from "./file";
declare const Page_base: Immutable.Record.Class;
declare class Page extends Page_base {
    getFile(): File;
    getAttributes(): any;
    getContent(): string;
    getDir(): string;
    /**
     * Return page as text
     * @return {string}
     */
    toText(): string;
    /**
     * Return path of the page
     * @return {string}
     */
    getPath(): string;
    /**
     * Create a page for a file
     * @param {File} file
     * @return {Page}
     */
    static createForFile(file: File): Page;
    /**
     * Load a page for a file
     * @param {File} file
     * @param {string} content
     * @return {Page}
     */
    static loadFile(file: File, content: string): Page;
    static fromJSON(json: {
        file: {
            [key: string]: any;
        };
        atributes: Immutable.Iterable.Keyed<unknown, unknown>;
        content: any;
        dir: any;
    }): Page;
    static toJSON(page: Page): any;
    hash(): number;
}
export default Page;
//# sourceMappingURL=page.d.ts.map