import Immutable from "immutable";
import Parser from "./parser";
import TemplateBlock from "./templateBlock";
declare const TemplateShortcut_base: Immutable.Record.Class;
declare class TemplateShortcut extends TemplateShortcut_base {
    getStart(): string;
    getEnd(): string;
    getStartTag(): string;
    getEndTag(): string;
    getParsers(): Parser;
    /**
     Test if this shortcut accept a parser

     @param {Parsers|String} parser
     @return {boolean}
     */
    acceptParser(parser: Parser | string): any;
    /**
     Create a shortcut for a block

     @param {TemplateBlock} block
     @param {Map} details
     @return {TemplateShortcut}
     */
    static createForBlock(block: TemplateBlock, details: Immutable.Map<string, any>): TemplateShortcut;
}
export default TemplateShortcut;
//# sourceMappingURL=templateShortcut.d.ts.map