/**
 * Generate a book using a generator.
 *
 * The overall process is:
 *     1. List and load plugins for this book
 *     2. Call hook "config"
 *     3. Call hook "init"
 *     4. Initialize generator
 *     5. List all assets and pages
 *     6. Copy all assets to output
 *     7. Generate all pages
 *     8. Call hook "finish:before"
 *     9. Finish generation
 *     10. Call hook "finish"
 *
 *
 * @param {Generator} generator
 * @param {Book} book
 * @param {Object} [options = {}]
 * @return {Promise<Output>}
 */
declare function generateBook(generator: any, book: any, options?: {}): any;
/**
 * Incremental build for pages
 * output should be prepared plugins
 * @param generator
 * @param output
 * @returns {Promise<Promise<Output>>}
 */
declare function incrementalBuild(generator: any, output: any): any;
export { generateBook, incrementalBuild };
//# sourceMappingURL=generateBook.d.ts.map