import Immutable from "immutable";
import Parser from "./models/parser";
/**
 * Return a specific parser by its name
 *
 * @param {string} name
 * @return {Parsers|undefined}
 */
declare function getParser(name: any): Parser;
/**
 * Return a specific parser according to an extension
 *
 * @param {string} ext
 * @return {Parsers|undefined}
 */
declare function getParserByExt(ext: any): Parser;
/**
 * Return parser for a file
 *
 * @param {string} ext
 * @return {Parsers|undefined}
 */
declare function getParserForFile(filename: any): Parser;
declare const _default: {
    extensions: Immutable.Iterable<any, any>;
    get: typeof getParser;
    getByExt: typeof getParserByExt;
    getForFile: typeof getParserForFile;
};
export default _default;
//# sourceMappingURL=parsers.d.ts.map